:root{
    --background: #F6F6F6;
    --black: #000000;
    --white: #FFFFFF;
    --box-shadow: 0px 0px 20px #d0d0d0;
    --border-radius: 30px;
}

body {
    background: var(--background);
    background-image: url(../img/budynek-glowny-background.webp);
    background-size: cover;
    background-repeat: no-repeat;
    background-attachment: fixed;
    margin: 0;
}

h1 {
    font-size:2.5rem;
}
h2{
    font-size:2rem;
}
h3 {
    font-size:1.4rem;
}


a{color:var(--black);}

.header{
    display:flex;
    flex-direction: column;
    padding:1rem;
}

.header__section{
    display:flex;
}

.header__section--last{
    flex:0;
}

.header__logo{
    display:flex;
    width:100%;
    gap:1rem;
    object-fit: contain;
    height: 60px;
    justify-content: center;
}



.menu{
    flex:6;
}

.menu__list{
    list-style: none;
    text-align: center;
    padding: 1rem 0;
    margin:0;
    justify-content: end;
}

.menu__item{
    display: inline-block;;
    box-shadow: 0px 10px 20px 0px rgba(169.99999999999997, 169.99999999999997, 169.99999999999997, 0.27);
    background: var(--white);
    border-radius:var(--border-radius);
    padding:0.25rem;
}

.menu__link{
    display:inline-block;
    text-decoration: none;
    color:var(--black);
    padding:0.5rem 1rem;
    background: #F1F1F1;
    border-radius:var(--border-radius);
    text-transform: uppercase;

}



@media screen and (min-width: 600px){

    .header{
        flex-direction: row;;
    }
    .header__logo{
        height:80px;
        width:100%;
        align-items: center;
       flex-direction: row;
    justify-content: flex-start;

    }


    .header__section--first,
    .header__section--last{
        flex:4;
    }
}









/* Formularz */
#form {
    padding:2rem;
    border-radius: var(--border-radius);
    background:var(--white);
    box-shadow: var(--box-shadow);
}
.form-container {
    margin-top: 50px;
    gap:2rem;
    display:flex;
    flex-direction: column;
  }
  .form-label {
    font-weight: bold;
  }

  #generated-link {
      display: flex;
      word-break: break-all;
  }